> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fint.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Actualizar contacto por ID

> Actualizar detalles de contacto por ID



## OpenAPI

````yaml patch /contact/:contactId
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fint API
  description: Fint API
servers:
  - url: https://api.fint.app/api/v1
    variables: {}
security: []
paths:
  /contact/:contactId:
    patch:
      tags:
        - Contactos
      summary: Actualizar contacto por ID
      description: Actualizar detalles de contacto por ID
      parameters:
        - schema:
            type: number
          required: true
          name: contactId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                lastName:
                  type: string
                email:
                  type: string
                  format: email
                address:
                  type: string
                documentType:
                  type: string
                  enum:
                    - DNI
                    - CUIT
                    - CUIL
                    - CDI
                    - LE
                    - LC
                    - CI Extranjera
                    - Pasaporte
                    - CI Policía Federal
                    - Certificado de Migración
                    - RUT
                    - Otro
                documentNumber:
                  type: string
                country:
                  type: string
                birthDate:
                  type: string
                age:
                  type: number
                phoneNumber:
                  type: string
                mobileNumber:
                  type: string
                reminderEnabled:
                  type: boolean
                metadata:
                  type: object
                  additionalProperties:
                    nullable: true
                  description: >-
                    Informacion adicional que luego se puede consumir y llegara
                    en los webhooks
                activeStatusId:
                  type: number
                  description: >-
                    Id del estado activo del contacto, con esta opcion podemos
                    activar/desactivar un contacto, los status por defecto son 1
                    activo y 2 inactivo, luego se pueden agregar mas estados
                    customizables con otro nombre que representen esos estados.
      responses:
        '200':
          description: Contacto actualizado con éxito por ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
              example:
                message: Contact updated successfully
        '404':
          description: Contacto no encontrado
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                message: Contact not found
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````